\name{priorPostClust}
\alias{priorPostClust}
\title{Validate output of the Markov chain}
\description{Validate the output of the Markov chain, using a
  prior-posterior comparison method.}
\usage{
priorPostClust(verbose = FALSE,  
 n.reps=20,       
 coda.loc = NULL)
}
\details{
  Returns a vector of p-values; if none of these p-values are too small
  then the test passes.
}
\arguments{
  \item{verbose}{Whether to print details of each repetition}
  \item{n.reps}{The number of repetitions}
  \item{coda.loc}{The directory location of the coda library, if it is not
located in a default library directory.}
}
\examples{

# this should really be run for at least 20 iterations, but here we use
# fewer because 20 iterations takes a long time.
\dontrun{
priorPostClust(n.reps = 3, verbose = T, coda.loc = "/home/fs01/dbw59/rlibs")
}

}
