#ifndef PRED_CRISIS_H
#define PRED_CRISIS_H


#include "tnt_array1d.h"
#include "tnt_array2d.h"
#include "tnt_array1d_utils.h"
#include "tnt_array2d_utils.h"
#include "moreArray1dUtils.h"
#include "moreArray2dUtils.h"
#include "randGen.h"
#include "timeKeeper.h"
#include <cstdlib>
#include <assert.h>
#include <S.h>

using TNT::Array1D;
using TNT::Array2D;


class PredCrisisOld{
 private:
  Array2D<double> newDat_,   // The time series data for each crisis
    *newCounts, transPrior_;

  Array1D<double> firstPrior_;

  double likeConst, alpha_;
  char *mcFile_, *auxParamFile_;
  int nCris_, nMetr_, nTemps_;
  bool printInfo_;

  /**************************************************************************
   ** Create a vector of probabilities from a vector of (unnormalized)
   ** log probabilities.
   **/ 
  Array1D<double> toProbs
    ( const Array1D<double> & logProb );

 public:
  PredCrisisOld(const Array2D<double> &newDat,
	     char *mcFile, char *auxParamFile,
	     int nCrises, int nMetr,
	     int nTemps, double alpha,
	     const Array1D<double> &firstPrior,
	     const Array2D<double> &transPrior,
	     bool printInfo = true);

  ~PredCrisisOld();

  /**************************************************************************
   **  Perform prediction
   **/  
  Array1D<double> predict();

};

#endif
