
#include "randGen.h"
#include "moreArray1dUtils.h"
#include <S.h>

extern "C"
{
  double S_STDCALL S_runif( void );
}

int rdiscrete 
(const TNT::Array1D<double> &prob){

  double unifRV = S_runif();
  int nValues = prob.dim();
  double cumProb=0.0;
  for (int i=0; i<nValues; i++){
    cumProb = cumProb + prob[i];
    if (unifRV < cumProb)  return(i);
  }
  // If the prob vector sums to 1, a value
  // has been returned already.  If not,
  // return a default value.
  return(-1);
}

TNT::Array1D<double> rdirichlet
(const TNT::Array1D<double> &alpha){

  int i, len = alpha.dim();
  TNT::Array1D<double> samp (3, 0.0);
  for( i=0; i<len; i++ ){
    samp[i] = S_rgamma( alpha[i] );
  }
  samp = samp / TNT::sum(samp);

  return(samp);
}
