{cat('##### Check posterior matches prior, when data sampled from model ####\n'); T;}
{

  nCrises = 7
  nMetr = 2
  crisLen = 6

  alpha <- 4
  firstPrior <- 0.66 * c(.187,.632,.181)
  transPrior <- 3 * matrix( c(0.875, 0.098, 0.027, 0.021, 0.905, 0.074, 0.01, 0.114, 0.877),
      nrow = 3, ncol = 3, byrow = T )

  nIter <- 4e3
  nBurnin <- 1e3
  temps <- c(1,1.7,2.5,3.8,5.6)

  hyper <- list( alpha = alpha, firstPrior = firstPrior, transPrior = transPrior )
  # the inputs for the parameter generation function
  generate.param.inputs <- list(hyper, nCrises, verbose = F)
  # the inputs for the data generation function
  generate.data.inputs <- list( hyper, nMetr, crisLen, verbose = F)

  nReps = 20
  nClust1 = rep( NA, nReps )
  for( i in (1:nReps ) ){
    params <- generate.param.DistClust( generate.param.inputs )
    crisisDat <- generate.data.DistClust( params, generate.data.inputs )
    typeVec = (1:nCrises)-1
    dpMcmc(crisisDat, typeVec,
         alpha = alpha, firstPrior = firstPrior,
	 transPrior = transPrior,
         nIter = nIter, nBurnin= nBurnin,
         outFile = "temp", temp = temps, printStats = F)

    crisTypes <- getMcmc(outFile = "temp", coda.loc =
      "/home/fs01/dbw59/rlibs")

    # calculate the number of clusters for the last posterior sample
    nSamps = dim(crisTypes)[1]
    nClust1[i] = max( crisTypes[ nSamps, 1:nCrises ] ) + 1
    #print( crisTypes[nSamps,1:nCrises] )
  }

  # generate the # of clusters from the prior
  nClust2 = rep( NA, nReps )
  for( i in (1:nReps ) ){
    clusts = generate.param.DistClust( generate.param.inputs )[-1]
    nClust2[i] = max( clusts )
  }

  # The Kolmogorov-Smirinov test is not exact for discrete-valued
  #  variables, which could cause a bad p-value in the following:
  pval <- ks.gof(x = nClust1, y = nClust2)$p.value 

  pval > 0.01
}
