{cat('##### Check that posterior for 1st & 2nd cluster sizes are same when temper. = inf ####\n'); T;}
{
  kpi1Cutoff <- 80
  kpi2Cutoff <- 120

  crisisDat <- crisisList( simulMetrics,
    1:2, c(kpi1Cutoff, kpi2Cutoff ))

  nCrises <- length(crisisDat)
  typeVec = (1:nCrises)-1
  priorCounts <- rep(0.13, 3)
  dpMcmc(crisisDat, typeVec,
         alpha = 9.0, firstPrior = priorCounts,
	 transPrior = matrix(1, nrow = 3, ncol = 3),
         nIter = 3e3, nBurnin= 1e3,
         outFile = "temp", temp = 1e7, printStats = F)

  crisTypes <- getMcmc(outFile = "temp", coda.loc =
  "/home/fs01/dbw59/rlibs")

  # calculate the size of the cluster that contains the first
  #  observation, and the size of that which contains the second
  # observation.  These should have the same distribution a priori 
  # since the Dirichlet process prior has exchangeable observations.
  nSamps <- dim(crisTypes)[1]
  size1 <- rep( -1, nSamps )
  size2 <- rep( -1, nSamps )

  for( i in 1:nSamps ){
    type1 <- crisTypes[i,1]
    type2 <- crisTypes[i,2]
    size1[i] <- sum( crisTypes[i,1:nCrises] == type1 )
    size2[i] <- sum( crisTypes[i,1:nCrises] == type2 )
  }

  # The Kolmogorov-Smirinov test is not exact for discrete-valued
  #  variables, which could cause a bad p-value in the following:
  pval <- ks.gof(x = size1, y = size2)$p.value 

  pval > 0.01
}
