{cat('##### Check that the dist.n of the # clusters matches prior when temper. = inf ####\n'); T;}
{
  kpi1Cutoff <- 80
  kpi2Cutoff <- 120

  crisisDat <- crisisList( simulMetrics,
    1:2, c(kpi1Cutoff, kpi2Cutoff ))

  nCrises <- length(crisisDat)
  typeVec = (1:nCrises)-1
  priorCounts <- rep(0.13, 3)
  dpMcmc(crisisDat, typeVec,
         alpha = 9.0, firstPrior = priorCounts,
	 transPrior = matrix(1, nrow = 3, ncol = 3),
         nIter = 3e3, nBurnin= 1e3,
         outFile = "temp", temp = 1e8, printStats = F)

  crisTypes <- getMcmc(outFile = "temp", coda.loc =
  "/home/fs01/dbw59/rlibs")

  # calculate the number of clusters
  nClust1 <- nClusters(crisTypes)

  # sample the # of clusters from its prior
  nSamps <- 1000
  nClust2 <- rep(0, nSamps)
  for( i in 1:nSamps)
    nClust2[i] <- length( unique( samplePrior(alpha = 9, nObs = nCrises) ) )
  

  # The Kolmogorov-Smirinov test is not exact for discrete-valued
  #  variables, which could cause a bad p-value in the following:
  pval <- ks.gof(x = nClust1, y = nClust2)$p.value 

  pval > 0.01
}
