{cat('##### Check that posterior for last crisis type matches prior when temper. = inf ####\n'); T;}
{
  kpi1Cutoff <- 80
  kpi2Cutoff <- 120

  crisisDat <- crisisList( simulMetrics,
    1:2, c(kpi1Cutoff, kpi2Cutoff ))

  nCrises <- length(crisisDat)
  typeVec = (1:nCrises)-1
  priorCounts <- rep(0.13, 3)
  dpMcmc(crisisDat, typeVec,
         alpha = 9.0, firstPrior = priorCounts,
	 transPrior = matrix(1, nrow = 3, ncol = 3),
         nIter = 5e3, nBurnin= 1e3,
         outFile = "temp", temp = 1e7, printStats = F)

  crisTypes <- getMcmc(outFile = "temp", coda.loc =
  "/home/fs01/dbw59/rlibs")
  lastType1 <- crisTypes[,nCrises] + 1

  # sample from the DP prior for last crisis type
  nSamps <- 1000
  lastType2 <- rep(0, nSamps)
  for( i in 1:nSamps)
    lastType2[i] <- samplePrior(alpha = 9, nObs = nCrises)[nCrises]

  # The Kolmogorov-Smirinov test is not exact for discrete-valued
  #  variables, which could cause a bad p-value in the following:
  pval <- ks.gof(x = lastType1, y = lastType2)$p.value 

  pval > 0.01
}
